update.trellis {lattice} | R Documentation

## Update Trellis Object

### Description

Takes an object of class `trellis` and updates it by changing some of its components.

### Usage

    ## S3 method for class 'trellis':
    update(object,
           aspect,
           as.table,
           between,
           key,
           layout,
           main,
           page,
           panel,
           par.strip.text,
           scales,
           skip,
           strip,
           sub,
           xlab,
           xlim,
           ylab,
           ylim,
           ...)

### Arguments

`object` | The object to be updated, of class `trellis`.
`aspect` | Cannot be "xy", can be "fill" or numeric.
`as.table, between, key` |
`layout, main, page, panel` |
`par.strip.text, scales, skip, strip` |
`sub, xlab, ylab, xlim, ylim` | As described in `trellis.args`
`...` | extra arguments, ignored

### Details

Not implemented very well yet, should work better in subsequent releases

### Value

An object of class `trellis`, by default plotted by `print.trellis`.

### Author(s)

Deepayan Sarkar deepayan@stat.wisc.edu

### See Also

`trellis.object`, `Lattice`

[Package Contents]